import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { TabsConfiguration } from './tabs.entities';
import { TabConfiguration } from './tab/tab.entities';
import { Observable } from 'rxjs';
import { PopupComponentContent, PopupEntity } from '@ironsource/fusion-ui/components/popup/common/entities';
import { PopupService } from '@ironsource/fusion-ui/components/popup/common/services';
import * as i0 from "@angular/core";
export declare class TabsComponent implements OnInit {
    private popupService;
    set configuration(value: TabsConfiguration);
    set selected(value: TabConfiguration);
    selectedChange: EventEmitter<TabConfiguration>;
    tabs: TabConfiguration[];
    iconPositionUp: boolean;
    tabFlex: string;
    selectedTab: TabConfiguration;
    popupData$: Observable<PopupEntity>;
    constructor(popupService: PopupService);
    ngOnInit(): void;
    onTabClicked(tab: TabConfiguration): void;
    isSelected(tab: TabConfiguration): boolean;
    onPopupShow(data: {
        content: PopupComponentContent;
        target: ElementRef;
    }): void;
    trackByTextOrIconName(index: any, item: TabConfiguration): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "fusion-tabs", never, { "configuration": { "alias": "configuration"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; }, { "selectedChange": "selectedChange"; }, never, never, false, never>;
}
